Subject: Re: [bug#31436] [PATCH 0/6] gnu: Add opencl related packages.

From: [email-masked] (Ludovic Courtès)
Date: Tue, 26 Jun 2018 15:44:58 +0200

Fis Trivial <[email-masked]> skribis:

> For POCL. The problem is ld couldn't find the right path. Another one is
> Guix currently doesn't have any modern GPU support due to firmware
> blobs. So OpenCL here is not very attractive in general unless one
> maintain his/her own kernel. Or maybe someone here toys with FPGA? :)
>
> Beignet is now deprecated in favor the new Neo project (both are from
> Intel).

Sure, I understand the limitations regarding GPU supports.  I think it
might still be useful for people using the OpenCL API for testing
purposes on CPUs, though.

In that spirit, would it make sense to merge everything but Beignet and
POCL?

Ludo’.